# wstUsdc

## Overview

The Wrapped non-rebasing version of `stUsdc`. The interface below is only available for the Arbitrum deployment of the protocol.&#x20;

## Contract API

### `depositAsset`

```solidity
function depositAsset(uint256 amount) external returns (uint256 amountMinted);
```

Mint `wstUsdc` directly by depositing `underlyingAssets` .

### `depositTby`

```solidity
function depositTby(uint256 id, uint256 amount) external returns (uint256 amountMinted);
```

Mint `wstUsdc` directly by depositing a specific `TBY` `id` .

### `redeemWstUsdc`

```solidity
function redeemWstUsdc(uint256 wstTBYAmount) external returns (uint256 assetsRedeemed);
```

Redeem `wstUsdc` for `underlyingAssets`.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.stakeup.finance/technical-docs/smart-contracts/tokens/wstusdc.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
